%define name ivman
%define version 0.6.4
%define release 1mdk

%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary: A volume manager daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: ivman-initscript.bz2
License: QPL
Group: System/Base
Url: http://ivman.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib-devel, hal-devel, dbus-devel, libxml-devel
Requires(pre,preun): rpm-helper

%description
Ivman is a volume manager daemon. It detects added volumes such as DVDs, CDs, 
and USB sticks / hard drives, mounts them if necessary and also starts 
programs to handle the added media (such as an audio CD player, or a video DVD
player). It can also monitor properties of hardware and execute commands when 
these properties change to a predefined value.

%package -n     %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}

%prep
%setup -q -n %{name}-%{version}

%build
%define __libtoolize /bin/true
%configure --disable-mount
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}/%{_initrddir}/%{name}
chmod 755 %{buildroot}/%{_initrddir}/%{name}

# devel library are provided, but no header, so useless
rm -f %{buildroot}/%{_libdir}/*a
rm -f %{buildroot}/%{_libdir}/*.so

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service ivman

%preun
%_preun_service ivman

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_initrddir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%changelog
* Mon Jun 20 2005 Couriousous <couriousous@mandriva.org> 0.6.4-1mdk
- 0.6.4
- Temporary disable pmount support since it requires hal > 0.5

* Sat Apr 30 2005 Couriousous <couriousous@mandriva.org> 0.5-0.pre3.1mdk
- Pre3

* Wed Feb 09 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre2.1mdk
- Pre2

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre1.1mdk
- First Mandrakelinux release
